Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
commoncrypto_utils.cpp File Reference
`#include <botan/internal/commoncrypto.h>`
`#include <botan/internal/commoncrypto_utils.h>`
`#include <botan/cipher_mode.h>`
`#include <botan/parsing.h>`
`#include <botan/internal/rounding.h>`
`#include <botan/scan_name.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
void | Botan::commoncrypto_adjust_key_size (const uint8_t key[], size_t length, const CommonCryptor_Opts &opts, secure_vector< uint8_t > &full_key)
CommonCryptor_Opts | Botan::commoncrypto_opts_from_algo (const std::string &algo)
CommonCryptor_Opts | Botan::commoncrypto_opts_from_algo_name (const std::string &algo_name)